Subject: Re: bug#11434: 24.0.96; Determining major mode for a given file extension

From: Stefan Kangas <[email-masked]>
Date: Fri, 29 Nov 2019 13:45:34 +0100

tags 11434 + notabug
close 11434
thanks

Stefan Kangas <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>>> I'd use (let ((buffer-file-name "foo.js")) (set-auto-mode)) instead.
>>> So it's just my Lisp that's bad, not my approach? :)
>>
>> I think so, yes.  You can also use create-file-buffer with some dummy
>> file name and then call after-find-file (that's what I did in PCL-CVS).
>
> It seems to me like there is no bug here.  Am I missing something?
>
> If I don't hear back within a couple of weeks, I'll go ahead and close
> this bug report.

More information was requested, but none was given within 4 weeks, so
I'll assume this is not a bug and close this bug report.

If this is incorrect, please reply to this email (use "Reply to all"
in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas